/* $Id: sunhttpd.h 58 2023-11-24 11:32:15Z nishi $ */
#ifndef __SUNHTTPD_H__
#define __SUNHTTPD_H__

#include <ls_server.h>

#ifdef ENABLE_SSL
#include <openssl/ssl.h>
#endif

#define SUNHTTPD_VERSION "1.51"
#define SUNHTTPD_SERVER "SUN/" SUNHTTPD_VERSION

#ifdef ENABLE_SSL
#define SUNHTTPD_TEXT SUNHTTPD_SERVER " (" PLATFORM "), " OPENSSL_VERSION_TEXT ", libserver " LIBSERVER_VERSION " | $Id: sunhttpd.h 58 2023-11-24 11:32:15Z nishi $"
#else
#define SUNHTTPD_TEXT SUNHTTPD_SERVER " (" PLATFORM "), libserver " LIBSERVER_VERSION " | $Id: sunhttpd.h 58 2023-11-24 11:32:15Z nishi $"
#endif

#endif
