/* $Id: sunhttpd_module.h 69 2023-11-26 13:35:57Z nishi $ */
#ifndef __SUNHTTPD_MODULE_H__
#define __SUNHTTPD_MODULE_H__

#include <sys/types.h>
#include <stdbool.h>

struct sunhttpd_module_args {
	ssize_t(*write)(const void*,size_t);
	ssize_t(*read)(void*,size_t);
	void(*status)(int,const char*,const char*,const char*);
	char* path; 				/* DO NOT FREE THIS ON THE MODULE! */
	char* method;				/* AND THIS TOO! */
	char* error_403;
	char* error_404;
	char* error_500;
	char* body;
	bool verbose;
	int socket;
};

#endif
