/* $Id: ls_server.h 15 2023-11-27 14:23:18Z nishi $ */
#ifndef __LS_SERVER_H__
#define __LS_SERVER_H__

#include <stddef.h>
#include <sys/types.h>

#define LIBSERVER_VERSION "1.30"

typedef void(*handler)(int sock);

struct fd_info {
	int fd;
	pid_t pid;
	int pipes[2]; /* So child process can get stuff */
	int pipes2[2];
};

int ls_start_server(int port, handler socket_handler);
int* ls_get_sockets(void);
ssize_t ls_write(int sockfd, void* buf, size_t len);

#ifdef LS_SERVER_SRC
handler socket_handler = NULL;
#else
extern handler socket_handler;
#endif

#endif
