/* $Id: chat.c 14 2023-11-27 14:19:34Z nishi $ */
#include <ls_server.h>

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <stdio.h>

void chat_handler(int sock){
	char ch;
	int i;
	while(1){
		if(read(sock, &ch, 1) < 1) break;
		i = 0;
		int* socks = ls_get_sockets();
		for(i = 0; socks[i] != -1; i++){
			if(socks[i] == sock) continue;
			ls_write(socks[i], &ch, 1);
		}
		free(socks);
	}
}

int main(int argc, char** argv){
	if(ls_start_server(argv[1] == NULL ? 2048 : atoi(argv[1]), chat_handler) < 0){
		fprintf(stderr, "%s: %s\n", argv[0], strerror(errno));
	}
}
