/* $Id: echo.c 12 2023-11-27 11:38:41Z nishi $ */
#include <ls_server.h>

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <stdio.h>

void echo_handler(int sock){
	char ch;
	while(1){
		if(read(sock, &ch, 1) < 1) break;
		write(sock, &ch, 1);
	}
}

int main(int argc, char** argv){
	if(ls_start_server(argv[1] == NULL ? 7 : atoi(argv[1]), echo_handler) < 0){
		fprintf(stderr, "%s: %s\n", argv[0], strerror(errno));
	}
}
