/* $Id: test1.c 1 2023-03-13 04:40:25Z nishi $ */
/* Test to check if the mtkstrdup is working */
#include <mtknife.h>

#include <stdio.h>
#include <string.h>
#include <stdint.h>

int main(){
	const char* src = "Test String";
	char* result = mtkstrdup(src);
	if(src == result){
		fprintf(stderr, "src and result addresses are same! exiting.\n");
		return 1;
	}
	if(strcmp(src, result) != 0){
		fprintf(stderr, "src and result are not same! exiting.\n");
		return 1;
	}
	return 0;
}
