/* $Id: daytime.c 12 2023-11-27 11:38:41Z nishi $ */
#include <ls_server.h>

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <stdio.h>
#include <time.h>

void daytime_handler(int sock){
	char* d = malloc(129);
	memset(d, 0, 129);
	time_t t = time(NULL);
	struct tm* tm = localtime(&t);
	strftime(d, 128, "%a %b %e %H:%M:%S %Z %Y", tm);
	write(sock, d, strlen(d));
	free(d);
}

int main(int argc, char** argv){
	if(ls_start_server(argv[1] == NULL ? 13 : atoi(argv[1]), daytime_handler) < 0){
		fprintf(stderr, "%s: %s\n", argv[0], strerror(errno));
	}
}
